GET api/getNotificationsByUID/{uid}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
uid

string

Required

Body Parameters

None.

Response Information

Resource Description

Collection of NotificationModel
NameDescriptionTypeAdditional information
notification_id

string

None.

notification_heading

string

None.

notification_details

string

None.

notification_type

string

None.

created_at

date

None.

is_viewed

boolean

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "notification_id": "sample string 1",
    "notification_heading": "sample string 2",
    "notification_details": "sample string 3",
    "notification_type": "sample string 4",
    "created_at": "2026-09-26T23:06:45.9333157+05:00",
    "is_viewed": true
  },
  {
    "notification_id": "sample string 1",
    "notification_heading": "sample string 2",
    "notification_details": "sample string 3",
    "notification_type": "sample string 4",
    "created_at": "2026-09-26T23:06:45.9333157+05:00",
    "is_viewed": true
  }
]

application/xml, text/xml

Sample:
<ArrayOfNotificationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/NewHorizonAPI.Models.Custom_Models">
  <NotificationModel>
    <CreatedAt>2026-09-26T23:06:45.9333157+05:00</CreatedAt>
    <IsViewed>true</IsViewed>
    <NotificationDetails>sample string 3</NotificationDetails>
    <NotificationHeading>sample string 2</NotificationHeading>
    <NotificationID>sample string 1</NotificationID>
    <NotificationType>sample string 4</NotificationType>
  </NotificationModel>
  <NotificationModel>
    <CreatedAt>2026-09-26T23:06:45.9333157+05:00</CreatedAt>
    <IsViewed>true</IsViewed>
    <NotificationDetails>sample string 3</NotificationDetails>
    <NotificationHeading>sample string 2</NotificationHeading>
    <NotificationID>sample string 1</NotificationID>
    <NotificationType>sample string 4</NotificationType>
  </NotificationModel>
</ArrayOfNotificationModel>